%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/detectReplicas.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{detectReplicas}

 \title{detectReplicas}

 \alias{detectReplicas}

 \keyword{}

 \description{}

 \arguments{
  \item{arrayDescription}{data frame which contains a column \code{spotIdentifier}}
  \item{spotIdentifier}{character string}
  \item{identifiersToBeSkipped}{vector of character strings to be ignored}
 }

 \value{a list containing \code{nrOfReplicas}, i.e. an integer characterizing the
  same number of spot replicas given for each identifier or otherwise \code{NA}, and
  containing \code{spotReplicas}, i.e. a list of the length of unique identifiers
  where each element contains a vector of indeces corresponding to the identifier 
  used as name for the list element 
  otherwise \code{NA}}

 \examples{

aD <- data.frame(ID=c("Blank", "Blank", "x", "x", "Control1", "y", "x", "z", "y", "Control2"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Blank", "Control1", "Control2"))
stopifnot(is.na(re$nrOfReplicas))

aD <- data.frame(ID=c("Blank", "x", "x", "Control1", "y", "z", "z", "y", "Control2"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Blank", "Control1", "Control2"))
stopifnot(re$nrOfReplicas == 2 )

aD <- data.frame(ID=c("z", "x", "x", "x", "y", "z", "z", "y", "y"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Blank", "Control1", "Control2"))
stopifnot(re$nrOfReplicas == 3 )

aD <- data.frame(ID=c("z", "x", "Control1", "y"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Control1"))
stopifnot(re$nrOfReplicas == 1 )


aD <- data.frame(ID=c("Blank", "Control1", "Blank", "Control2"))
re <- detectReplicas(aD, identifiersToBeSkipped = c("Blank", "Control1", "Control2"))
stopifnot(is.na(re$nrOfReplicas))

 }

 \author{Andreas Buness <a.buness@dkfz.de>}

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
\name{exprSetArray-class}
\docType{class}
\alias{exprSetArray}
\alias{exprSetArray-class}
\title{Class exprSetArray, an extension for cDNA data of the class exprSet, which a class for microarray data, and methods for  processing them } 
\description{ This is class representation for cDNA Microarray Data}

\section{Creating Objects}{
\code{  new('exprSetArray',}\cr
\code{    channels = ..., # Object of class matrix with columns "Cy3"
  and "Cy5" }\cr
\code{    exprs    = ..., # Object of class matrix}\cr
\code{    se.exprs = ..., # Object of class matrix}\cr
\code{    phenoData= ..., # Object of class phenoData}\cr
\code{    notes    = ...., # Object of class character}\cr
\code{  )}}
\section{Slots}{
  \describe{
    \item{\code{indCy3}:}{Object of class "vector"; indexes of channel Cy3}
    \item{\code{indCy5}:}{Object of class "vector"; indexes of channel Cy5}
    \item{\code{exprs}:}{Object of class "matrix"; the observed
      expression levels. This is a matrix with columns representing
      channels Cy3 and Cy5, the pairs given in \code{channels} define
      slides and rows representing genes. }
    \item{\code{se.exprs}:}{Object of class "matrix"; this is
     a matrix of the same dimensions as \code{exprs} which contains
     standard error estimates for the estimated expression levels. }
    \item{\code{phenoData}:}{Object of class "phenoData" This is an
      instance of class \code{phenoData} 
    containing channel annotations. The columns of the
    pData slot of this entity represent
    variables and the rows represent channels. }
    \item{\code{notes}:}{Object of class "character" Vector of
      explanatory text }
  }
}

\section{Methods}{
  \describe{

    \item{show}{(exprSetArray): renders information about the exprSetArray
      in a concise way on stdout, cf. exprSet }
    
    \item{getExprSetDiff}{(exprSetArray): Returns an \code{exprSet}
      object of the difference of the expression levels of channel Cy3
      and channel Cy5. The se.exprs slot contains the sum of the
      se.exprs of both channels.
    }

    \item{getExprSetCy3MinusCy5}{ same as \code{getExprSetDiff} }
    
    \item{getExprSetCy3}{(exprSetArray): Returns an \code{exprSet}
      object of the expression levels of channel Cy3}
    
    \item{getExprSetCy5}{(exprSetArray): Returns an \code{exprSet}
      object of the expression levels of channel Cy5}

    \item{phenoDataSlide}{(exprSetArray): Returns an \code{phenoData}
      object of the slides which contains those annotation
      information (variables), which are the same for both channels,
      e.g. the slide number - NAs are not taken into consideration.}
      
    \item{pDataSlide}{(exprSetArray): Returns an \code{pData}
      object of the slides which contains those annotation
      information (variables), which is the same for both channels,
      e.g. the slide number - NAs are not taken into consideration.
      Do not use varLabels-names for subsetting - only indexes.}

    \item{phenoDataCy3}{(exprSetArray): Returns an \code{phenoData}
      object of the annotation information given for channel Cy3.
      Do not use varLabels-names for subsetting - only indexes.}
      
    \item{pDataCy3}{(exprSetArray): Returns the \code{pData}
      object given by \code{phenoDataCy3}.
      Do not use varLabels-names for subsetting - only indexes.}

    \item{phenoDataCy5}{(exprSetArray): Returns an \code{phenoData}
      object of the annotation information given for channel Cy5.
      Do not use varLabels-names for subsetting - only indexes.}
      
    \item{pDataCy5}{(exprSetArray): Returns the \code{pData}
      object given by \code{phenoDataCy5}.
      Do not use varLabels-names for subsetting - only indexes.}

    \item{slideSubset}{(exprSetArray,i,j): Subsetting; i corresponds to
      the rows  and j corresponds to the slides.
      j is given by indexes or logicals related to the order
      of the channel pairs; cf. the constructor slot \code{channels}}
    
    \item{getIndCy3}{(exprSetArray): An accessor function for slot
      \code{indCy3}. The matching pairs of indCy3 and indCy5 define slides.}

    \item{getIndCy5}{(exprSetArray): An accessor function for slot
      \code{indCy5}. The matching pairs of indCy3 and indCy5 define slides.}
    
    \item{[}{(exprSetArray,i,j,type):
      A subset operator.
      Ensures that both \code{exprs}
      and \code{phenoData} are subseted properly; but
      may mix up the pairing of the channels,
      i.e. the validity of an exprSetArray,
      if you use type == "invalidExprSetArray"}

    \item{concatenateExprSetArrays}{(objectOne,objectTwo): Concatenates
      two \code{exprSetArray} objects. Genes/rows are assumed to match;
      identical \code{varLabels} are required.}

    \item{exprSet}{(exprSetArray): Class cast, returns an object of
      \code{exprSet}, the channel information is dicarded.}
    
    } 
  }
}
\examples{}
\seealso{exprSet-class,exprSet}
\keyword{methods}

\eof
\name{fdc}
\alias{fdc}

\title{FDC (false discovery count)}
\description{Estimate the FDC (false discovery count) through permutations}

\usage{fdc(x, fac,
  teststatfun = "rowFtests",
  nrperm      = 100,
  nrgenesel   = c(10, 20, 40, 60, 80, 100, 200, 500),
  ...)
} 

\arguments{
  \item{x}{Matrix.}
  \item{fac}{Factor, with \code{length(fac)=ncol(x)}.}
  \item{teststatfun}{Character. Name of a function that takes arguments
    \code{x} and \code{fac}, and returns a list with component
    \code{statistic}. See for example \code{\link{rowFtests}}.}
  \item{nrperm}{Numeric. Number of permutations.}
  \item{nrgenesel}{Numeric. A vector with the 'number of genes' for which
    the FDC is to be calculated.}
  \item{...}{Further arguments passed to code{teststatfun}.}
}

\value{  
  A list with elements
  \code{stat}: the test statistics;
  \code{mpstat}: median permuted test statistics;
  \code{fdc}: estimated false discovery counts;
  \code{thresh}: the threshholds associated with \code{nrgenesel};
  \code{nrgenesel}
}

\author{Wolfgang Huber <w.huber@dkfz.de>}
\seealso{\code{\link{rowFtests}}}
\examples{
   ## data matrix: 2000 genes, 16 samples
   x  <- matrix(runif(2000*16), ncol=16)
   ## 8 blue and 8 red samples
   fac <- factor(c(rep("blue", 8), rep("red", 8)))
   ## implant differential signal into the first 50 genes
   x[1:50, fac=="blue"] <- x[1:50, fac=="blue"] + 1

   res <- fdc(x, fac)
   plot(res$nrgenesel, res$fdc, pch=16, col="blue",
       xlab="Number of genes selected",
       ylab="Expected number of false discoveries")
   abline(a=0, b=1, col="red", lwd=2)

   qqplot(res$stat, res$mpstat, pch=".")
   abline(a=0, b=1, col="red", lwd=2)

}
 
\keyword{math}

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/initClasses.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{initClasses}

 \title{dummy to initialize classes, methods and generics}

 \alias{initClasses}

 \keyword{}

 \description{
}

 \value{}


 \arguments{
  \item{where}{where}
 }
 
 \details{}

 \seealso{\code{}}

 \examples{
      nR <- new("normaliseResult")
      stopifnot( class(nR) == "normaliseResult" )
      aD <- new("arrayData")
      stopifnot( class(aD) == "arrayData" )
 }

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/exprSetArray.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{initExprSetArray}

 \title{dummy to initialize the class exprSetArray and its methods and generics}

 \alias{initExprSetArray}

 \keyword{}

 \description{

}

 \value{}


 \arguments{
  \item{where}{where}
 }
 
 \details{}

 \seealso{\code{\link{exprSetArray-class}}}

 \examples{
  indCy3=1:3
  indCy5=4:6
  channels <- matrix( c(indCy3,indCy5), nrow=length(indCy3), byrow=FALSE )
  colnames(channels) <- c("Cy3","Cy5")
  eSA <- new("exprSetArray", exprs=matrix(1:60, ncol=6, nrow=10), phenoData=
          new("phenoData", pData=data.frame(matrix(0,nrow=6,ncol=1)),
              varLabels=list(rep("varLabel1",1))), channels=channels)
  stopifnot( identical(pDataSlide(eSA),pData(eSA)[1:3,,drop=FALSE]) )
  eSACy3 <- getExprSetCy3(eSA)
  eSACy5 <- getExprSetCy5(eSA)
  eSADiff <- getExprSetDiff(eSA)
  eSADiff2 <- getExprSetCy3MinusCy5(eSA)
  stopifnot( identical( eSADiff, eSADiff2 ) )
  stopifnot( identical( exprs(eSADiff), exprs(eSACy3)-exprs(eSACy5)) )
  eSAPart <- eSA[,c(1,3,1,4,6,4)]
  eSAInvalid <- eSA[,c(1,3,1,5,6,4),type="invalidExprSetArray"]
  eSAPart2 <- slideSubset(eSA,j=c(1,3,1))
  stopifnot( identical( exprs(eSAPart), exprs(eSAPart2) ) )
  ind <- c(1,1,3,2,3,3)
  stopifnot( identical( exprs(eSADiff[,ind]), exprs(eSACy3[,ind])-exprs(eSACy5[,ind])) )
  stopifnot( dim(exprs(eSADiff[,ind]))[2] == length(ind) )
  eSAPart <- eSA[,1:3] # not recommended
  stopifnot(identical(eSACy3, getExprSetCy3(eSAPart)))
  stopifnot(identical(eSACy3[,c(1,1,1)], getExprSetCy3(eSAPart[,c(1,1,1)])))
  stopifnot(identical(eSACy3[,c(TRUE,TRUE,TRUE)], getExprSetCy3(eSAPart[,c(TRUE,TRUE,TRUE)])))
  stopifnot(identical(eSACy3[,c(FALSE,FALSE,FALSE)], getExprSetCy3(eSAPart[,c(FALSE,FALSE,FALSE)])))
  stopifnot(identical(eSACy3[,c(FALSE,TRUE,FALSE)], getExprSetCy3(eSAPart[,c(FALSE,TRUE,FALSE)])))
  print(eSA)
  print(phenoDataSlide(eSA))
  print(pDataSlide(eSA))
  print(phenoDataCy3(eSA))
  print(pDataCy3(eSA))
  print(phenoDataCy5(eSA))
  print(pDataCy5(eSA))
  eSAeSA <- concatenateExprSetArrays(objectOne=eSA,objectTwo=eSA)
  eSAeSAPart2 <- concatenateExprSetArrays(objectOne=eSA,objectTwo=eSAPart2)
  stopifnot( class(exprSet(eSA)) == "exprSet" )
 }

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/interweave.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{interweave}

 \title{interweave}

 \alias{interweave}

 \keyword{}

 \description{ very unimportant ...
                 \code{AsIs} class objects A or B are coerced to a vector }

 \value{}


 \arguments{
  \item{A}{vectors, matrices, one- and two-dimensional arrays;
                an  \code{AsIs} class object is coerced to a vector }
  \item{B}{vectors, matrices, one- and two-dimensional arrays;
                an  \code{AsIs} class object is coerced to a vector }
 }
 
 \details{}

 \seealso{\code{\link{}}}

 \examples{
    x <- seq(1,100,2)
    y <- seq(2,100,2)
    z <- interweave(x,y)
    stopifnot( all.equal(z,1:100) )
	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/normalise.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{normalise}

 \title{normalisation}

 \alias{normalise}

 \keyword{}

 \description{}

 \arguments{
  \item{arrayDataObject}{ arrayDataObject contains a raw data object, i.e. a
                 three dimensional array (spots x channels x hybridisations),
                 where channels must be labbeled as \code{channelNames}}
  \item{channelNames}{character vector containing 4 items, by default: }
  \item{subtractBackground}{logical; default: \code{FALSE}}
  \item{method}{character string; default: \code{"vsn"};
        possible: \code{"vsn"}, \code{"loess"},
                  \code{"loessScale"}, \code{"loessQuantile"},
                  \code{"quantile"}}
  \item{channelsSeparately}{apply single channel normalisation to each colour channel separately; not used by ratio based normalistion like lo(w)ess; default: \code{FALSE}}
  \item{hybridisationGroups}{list of vectors of indexes; normalise each group of hybridisation separately;default: missing}

 }

 \value{object of class normaliseResult}

 \author{Andreas Buness <a.buness@dkfz.de>}

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/plotDataMatrix.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{plotDataMatrix}

 \title{Visualisation of a data matrix, e.g. a matrix of distance or similarity scores}

 \alias{plotDataMatrix}

 \keyword{}

 \description{Visualisation of a data matrix, e.g. a matrix of distance or similarity scores}


 \arguments{
  \item{dataMatrix}{data matrix, type matrix}
  \item{labelMatrix}{matrix of labels of type array of dim(\code{dataMatrix})}
  \item{title}{plot title, type character string}
  \item{labels}{vector of names corresponding to  a quadratic \code{dataMatrix}}
  \item{xLabels}{vector of names corresponding to the columns of \code{dataMatrix} overrides \code{labels}}
  \item{yLabels}{vector of names corresponding to the rows of \code{dataMatrix} overrides \code{labels}}
  \item{axesLabel}{label for x and y axes}
  \item{xAxisLabel}{label for x axis overrides \code{axesLabel}}
  \item{yAxisLabel}{label for y axis overrides \code{axesLabel}}
  \item{colourRamp}{vector of colours}
  \item{minimum}{numeric, predefined minimum value, default missing}
  \item{maximum}{numeric, predefined maximum value, default missing}
  \item{width}{graphics window width}
  \item{height}{graphics window height}
  \item{labelMatrixTextScaling}{numeric, default: 0.7}
  \item{plotOutput}{character string specifying
          either "screen" or "pdf"; default: "screen"}
  \item{fileName}{character string specifying the file path and file name}
 }

 \details{if no labels are supplied the dimnames or alternatively a numbering is used instead}

 \examples{plotDataMatrix(title="Similarities",dataMatrix=matrix(c(3,4,4,3),nrow=2, ncol=2),labels=c("one","two"))
ma <- matrix(c(0.3,0.01,0.7,0.1,0.5,0.3,1,0.5,01), nrow=3,ncol=3)
 plotDataMatrix(title="Similarities",dataMatrix=ma, labelMatrix=ma,labels=c("one","two", "three"), minimum=0, maximum=1)
 ma <- matrix(c(0.3, 0.01, 0.7, 0.1, 0.5, 0.3, 1, 0.5, 1, 0, 1, 0), nrow = 4, ncol = 3, byrow=TRUE )
plotDataMatrix(title = "dataMatrix", dataMatrix = ma, labelMatrix = ma, xLabels = c("one", "two", "three"), minimum = 0, maximum = 1)
 }

 \author{Andreas Buness <a.buness@dkfz.de>}

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/plotDistributions.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{plotDistributions}

 \title{Visualise Distributions}

 \alias{plotDistributions}

 \keyword{}

 \description{Boxplot like visualisation of distributions, only the boxes, i.e. the median and roughly the second and third quartile are plotted (cf. \code{boxplot.stats}). The plots may help to identify shortcomings of the raw data or normalised data. The argument \code{quantiles} can be used to visualize two or three arbitrary quantiles with boxes.}

 \value{}


 \arguments{
  \item{dataMatrix}{data matrix, where columns represent distributions, e.g. raw array data, log(raw array data) or normalised data}
  \item{transFunc}{data transformation function, e.g. log}
  \item{quantiles}{missing by default; a vector of two or three increasing quantiles used to determine the boxes to be drawn}
  \item{title}{plot title, type character string}
  \item{labels}{vector of names, may substitute column names of \code{dataMatrix}}
  \item{xAxisLabel}{label for x axis}
  \item{yAxisLabel}{label for y axis}
  \item{colourVector}{vector of colours}
  \item{width}{graphics window width}
  \item{height}{graphics window height}
  \item{plotOutput}{character string specifying
        either "screen" or "pdf"; default: "screen"}

 }
 
 \details{Default of \code{transFunc} is no transformation, i.e. identity. If \code{labels} are supplied at first the column names or secondly a numbering  are used instead.By default the \code{colourVector} is defined as alternating darkred and darkgreen.}

 \seealso{\code{boxplot.stats}}

 \examples{plotDistributions(cbind(rnorm(100),rnorm(100)), title="Random Gaussians", labels = c("N1","N2"), yAxisLabel="scale")
          plotDistributions(as.matrix(1:100), quantiles=c(0.25,0.85),title = "Random Gaussians", labels = c("N1"), yAxisLabel = "scale")}
          plotDistributions(as.matrix(1:100), transFunc=log,quantiles=c(0.1,0.95),title = "Random Gaussians", labels = c("N1"), yAxisLabel = "scale")

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:29.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/processArrayData.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{processArrayData}

 \title{processArrayData}

 \alias{processArrayData}

 \keyword{}

 \description{
	}

 \synopsis{}

 \usage{}

 \arguments{
  \item{subtractBackground}{ logical }
  \item{spotsRemovedBeforeNormalisation}{ vector of character strings;
       all spots which match the strings are removed from 
       the the whole analysis, i.e. already before normalisation}
  \item{spotsSetToZeroWeightAndRemovedAfterNormalisation}{
       vector of character strings;
       all spots which match the strings become zero weight
       (weights are only used by loess type normalisations) and
       are removed after normalisation}
  \item{spotIdentifier}{ character string }
  \item{mergeSlides}{ logical; at this point only used for consistency tests
       of a hypothetical slide merge operation with respect to \code{mergeSlidesColumn} }
  \item{slideDescriptionFile}{ character string;
       the first line of the file must contain all column names,
       in particular the column \code{fileNameColum} and possibly
       \code{slideNumberColumn}
       must be included}
  \item{fileNameColumn}{ character string; required; default: "fileName" }
  \item{slideNumberColumn}{ character string; optional; if missing it is set
        to \code{fileNameColumn}; default: missing }
  \item{mergeSlidesColumn}{ character string; optional;
        cf. \code{\link{mergeSlides}} }
  \item{sampleAnnotationColumns}{ possible values:
      a vector of character strings or \code{NA};
      \code{sampleAnnotationColumns} define
      all columns (hybridisation covariates)
      which are relevant for any further analysis.
      If \code{mergeSlides} is set to \code{TRUE}
      the annotation should be consistent for replicas.
      All columns in \code{slideDescriptionFile} are taken
      if set to \code{NULL} and all except of 
      \code{fileNameColumn} and \code{slideNumberColumn} are taken
      if set to \code{NA}. }
  \item{loadPath}{ character string;
      the path is used to load the \code{slideDescriptionFile} and data files;
      note: . refers to the current/working directory
      }
  \item{savePath}{ character string;
      the path is used to save the results
      if the path does not exist a directory is created;
      note: . refers to the current/working directory
      }
  \item{normalisationMethod}{character string; default: "vsn"; cf.
        \code{\link{normalise}} }
  \item{imageFileType}{character string; default: "GenePix"; cf.
        \code{\link{readImageFiles}} }
  \item{channelsSeparately}{logical; default \code{FALSE}}
  \item{hybridisationGroups}{list of numeric vectors; default missing}
  \item{objectsFileName}{character string; filename for saving of list of result objects }
  \item{plotOutput}{character string specifying
        either "screen" or "pdf"; default: "screen"}
 }

 \examples{
       LOADPATH <- file.path(.path.package("arrayMagic"), "data")
       SAVEPATH <- LOADPATH
 	SLIDEDESCRIPTIONFILE <- "slideDescription.txt"
  
 	resultList <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA
                  )
       writeToFile(exprSetArrayObject=resultList$exprSetArrayObject,
                   arrayDataObject=resultList$arrayDataObject,
                   fileName=file.path(SAVEPATH,"normalisedData.txt"))
       summarizedResult <- slideMerge(
                                           exprSetArrayObject=resultList$exprSetArrayObject,
                                           slideMergeVariable="replicates",
                                           sampleAnnotationColumns=
                                              resultList$sampleAnnotationColumns
                                          )

        qPL <- qualityParameters(arrayDataObject=resultList$arrayDataObject,
                         exprSetArrayObject=resultList$exprSetArrayObject)


        visualiseQualityParameters(qualityParametersList=qPL$qualityParameters)

        qualityDiagnostics(exprSetArrayObject=resultList$exprSetArrayObject,
                    arrayDataObject=resultList$arrayDataObject,
                    normObject=resultList$normObject,
                    qualityParametersList=qPL)

 	 resultListG <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             plotOutput="pdf",
                             hybridisationGroups = list((1:4),(5:9))
                  )
   \testonly{
 	result2 <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = "Blank",
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=TRUE
                  )
 	result3 <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=TRUE,
                             normalisationMethod="quantile"
                  )
 	result4 <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             normalisationMethod="quantile"
                  )
 	SLIDEDESCRIPTIONFILE <- "slides.txt" # slideD.tex points to complete gpr files for loess !
 	result5 <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = NULL,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             spotsSetToZeroWeightAndRemovedAfterNormalisation="Blank",
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             normalisationMethod="loess"
                  )
 	result5 <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = NULL,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             normalisationMethod="loessScale"
                  )
 	result6 <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = NULL,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             hybridisationGroups = list((1:4),(5:9)),
                             normalisationMethod="loess"
                  )
 	result7 <- processArrayData(
                             loadPath=LOADPATH, 
  	                      savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = NULL,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             hybridisationGroups = list((1:4),(5:9)),
                             normalisationMethod="loessQuantile"
                  )
        qPL <- qualityParameters(arrayDataObject=result7$arrayDataObject,
                         exprSetArrayObject=result7$exprSetArrayObject)

        visualiseQualityParameters(qualityParametersList=qPL$qualityParameters,
                                   plotOutput="pdf")

        qualityDiagnostics(exprSetArrayObject=result7$exprSetArrayObject,
                    arrayDataObject=result7$arrayDataObject,
                    normObject=result7$normObject,
                    qualityParametersList=qPL,
                    plotOutput="pdf")

    }     
 }
 

 \seealso{\code{\link{normalise}} \code{\link{spotSlideMerge}}}

 \author{Andreas Buness <a.buness@dkfz.de>}

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/qualityDiagnostics.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{qualityDiagnostics}

 \title{qualityDiagnostics}

 \alias{qualityDiagnostics}

 \keyword{}

 \description{}

 \value{}


 \arguments{
  \item{exprSetArrayObject}{required}
  \item{arrayDataObject}{required}
  \item{normObject}{optional}
  \item{qualityParametersList}{required}
  \item{slideLabels}{optional}
  \item{savegraphicspath}{optional}
  \item{plotOutput}{character string specifying output plotOutput;
        either "screen" or "pdf"; default: "screen"}
 }
 
 \details{}

 \seealso{\code{\link{}}}

 \examples{
	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/qualityParameters.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{qualityParameters}

 \title{Calculation of quality characteristics for cDNA chip hybridisations}

 \alias{qualityParameters}

 \keyword{}

 \description{ } 

 \usage{ }


 \value{returns a list of results, i.e. a data frame \code{qualityParameters} containing
   several scores for each hybridisation, a matrix \code{slideDistance} and
   an integer \code{replicateSpots}, i.e. the number of spot replicates.
 
   The matrix \code{slideDistance} contains a distance measure (similarity) for each pair
   of slides$_{ij}$, i.e. the median absolute deviation taken over all spots of the
   difference of the "log-ratios" ("log-ratios": the difference of the expression values
   in the two channels on the slide).

   A brief summary of all parameters given the data frame \code{qualityParameters}:
   \code{width}
   a robust measure of the variance, i.e. the median absolute deviation
   of the difference of the normalised channels taken over all spots

   \code{medianDistance}
   a robust measure for the typical distance (similarity) of one slide
   with all other slides, i.e. the median of the "distances"
   between slides (c.f. \code{slideDistance}))

   \code{correlation}
   of the expression values between the two channels of the slide taken over all spots

   \code{meanIntensityCy3}
   the mean taken over all spots of raw data channel Cy3

   \code{meanIntensityCy5}
   the mean taken over all spots of raw data channel Cy5

   \code{meanIntensity}
   mean taken over all spots of raw data of both channels,

   \code{spotSimilarityCy3}
   the standard deviation of all spot replicates for each unique identifier
   of the normalised channel Cy3 is calculated and the
   median standard deviation
   is taken as spotSimilarityCy3; if duplicate spots have been detected, i.e.
   \code{replicateSpots == 2}, the correlation is calculated instead

   \code{spotSimilarityCy3}
   the standard deviation of all spot replicates for each unique identifier
   of the normalised channel Cy3 is calculated and the
   median standard deviation
   is taken as spotSimilarityCy3; if duplicate spots have been detected, i.e.
   \code{replicateSpots == 2}, the correlation is calculated instead

   \code{cy3vsAllCy3} and \code{cy5vsAllCy5}
   the correlation between each channel is measured against the
   averaged (median) channel over all hybridisations
   (e.g. a virtual reference)
 }


 \arguments{
  \item{arrayDataObject}{object of type \code{arrayData}; default: missing}
  \item{exprSetArrayObject}{object of type \code{exprSetArray}; default: missing}
  \item{spotIdentifier}{ character string, column name used in getSpotAttr(arrayDataObject);
                         the column is used to determine spot replicas;
                         default: "Name"}
  \item{hybNameColumn}{ character string, column name used in getHybAttr(arrayDataObject);
                        the column is used to extract the names of the hybridisations;
                        if not available the order is taken instead;
                        default:  "slideNumber"}
  \item{identifiersToBeSkipped}{vector of character strings of spot identifiers
                                to be excluded from calculations}
  \item{resultFileName}{character string; results are stored in a file if supplied;
                        default: missing}
  \item{verbose}{logical; default \code{TRUE}}
 }
 
 \details{}

 \seealso{\code{}}

  \examples{
      spotIdentifierVec <- c("A","A","Blank","B","B","Blank")
      hybNames <- "H1"
      R1 <- N1 <- c(1,1,9,2,2,10)
      R2 <- N2 <- c(2,2,7,4,4,8)
      rawDataIntensities <- array(0, dim=c(6,2,1))
      rawDataIntensities[,1,] <- R1
      rawDataIntensities[,2,] <- R2
      dimnames(rawDataIntensities) <- list(NULL, c("Cy3","Cy5"), NULL)
      spotattr=data.frame(Name=I(spotIdentifierVec))
      hybattr=data.frame(slideNumber=I(hybNames))
      arrayDataObject <- new("arrayData", intensities=rawDataIntensities, hybattr=hybattr, spotattr=spotattr)
      indCy3=1
      indCy5=2
      channels <- matrix( c(indCy3,indCy5), nrow=length(indCy3), byrow=FALSE )
      colnames(channels) <- c("Cy3","Cy5")
      exprSetArrayObject <- new("exprSetArray", 	
	exprs=matrix(c(R1,R2), nrow=6, byrow=FALSE), phenoData=	
          new("phenoData", pData=data.frame(matrix(0,nrow=2,ncol=1)),
              varLabels=list(rep("varLabel1",1))), channels=channels)		
      Re1 <- qualityParameters(arrayDataObject=arrayDataObject, exprSetArrayObject=exprSetArrayObject, identifiersToBeSkipped= "Blank")
      stopifnot(all.equal.numeric(as.numeric(Re1$qualityParameters["H1",c("correlation")]),c(1)))
      stopifnot(Re1$replicateSpots==2)
   \testonly{
      spotIdentifierVec <- c("Blank","A","A","A","B","B","B")
      R1 <- N1 <- c(10,1,1,1,2,2,2)
      R2 <- N2 <- c(11,2,2,2,4,4,4)
      rawDataIntensities <- array(0, dim=c(7,2,1))
      rawDataIntensities[,1,] <- R1
      rawDataIntensities[,2,] <- R2
      dimnames(rawDataIntensities) <- list(NULL, c("Cy3","Cy5"), NULL)
      spotattr=data.frame(Name=I(spotIdentifierVec))
      hybattr=data.frame(slideNumber=I(hybNames))
      arrayDataObject <- new("arrayData", intensities=rawDataIntensities, hybattr=hybattr, spotattr=spotattr)
      indCy3=1
      indCy5=2
      channels <- matrix( c(indCy3,indCy5), nrow=length(indCy3), byrow=FALSE )
      colnames(channels) <- c("Cy3","Cy5")
      exprSetArrayObject <- new("exprSetArray", 	
	exprs=matrix(c(R1,R2), nrow=7, byrow=FALSE), phenoData=	
          new("phenoData", pData=data.frame(matrix(0,nrow=2,ncol=1)),
              varLabels=list(rep("varLabel1",1))), channels=channels)		


      Re2 <- qualityParameters(arrayDataObject=arrayDataObject, exprSetArrayObject=exprSetArrayObject, identifiersToBeSkipped= "Blank")

      stopifnot(all.equal.numeric(as.numeric(Re2$qualityParameters["H1",c("correlation")]),c(1)))
      stopifnot(Re2$replicateSpots==3)

      hybNames <- c("H1","H2")
      Xr1 <- Xn1 <- cbind(R1,R2)
      Xr2 <- Xn2 <- cbind(R2,R1)
      rawDataIntensities <- array(0, dim=c(7,2,2))
      rawDataIntensities[,1,1:2] <- Xr1
      rawDataIntensities[,2,1:2] <- Xr2
      dimnames(rawDataIntensities) <- list(NULL, c("Cy3","Cy5"), NULL)
      spotattr=data.frame(Name=I(spotIdentifierVec))
      hybattr=data.frame(slideNumber=I(hybNames))
      arrayDataObject <- new("arrayData", intensities=rawDataIntensities, hybattr=hybattr, spotattr=spotattr)
      indCy3=1:2
      indCy5=3:4
      channels <- matrix( c(indCy3,indCy5), nrow=length(indCy3), byrow=FALSE )
      colnames(channels) <- c("Cy3","Cy5")
      exprSetArrayObject <- new("exprSetArray", 	
	exprs=as.matrix(cbind(Xr1,Xr2)), phenoData=	
          new("phenoData", pData=data.frame(matrix(0,nrow=4,ncol=1)),
              varLabels=list(rep("varLabel1",1))), channels=channels)		


      Re3 <- qualityParameters(arrayDataObject=arrayDataObject, exprSetArrayObject=exprSetArrayObject, identifiersToBeSkipped= "Blank")

      stopifnot(all.equal.numeric(as.numeric(Re3$qualityParameters["H2",c("correlation")]),c(1)))
      stopifnot(Re3$replicateSpots==3)
   }

	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/readImageFiles.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{readImageFiles}

 \title{readImageFiles}

 \alias{readImageFiles}

 \keyword{}

 \description{
             All image analysis files are expected to correspond
             to the same type of microarray.

 }


 \arguments{
  \item{fileNames}{ vector of character strings; default missing }
  \item{spotAnnoColumns}{ vector of character strings;
        the column names of the image analysis data file,
        which are common to all microarrays; default missing }
  \item{dataColumns}{ named vector of character strings;
         the column names of the image analysis data file,
         which contain the raw intensities values of each spot; 
         if supplied names(dataColumns) must contain:
         c("Cy3","Cy3Background","Cy5","Cy5Background");
         default missing
       }
  \item{type}{character string;
              possible values: "GenePix" and "ScanAlyze";
              default: "GenePix" }
  \item{verbose}{logical; default \code{TRUE}}
 }

 \value{object of class \code{arrayData}}

 \author{Andreas Buness <a.buness@dkfz.de>}

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/removeSpots.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{removeSpots}

 \title{removeSpots}

 \alias{removeSpots}

 \keyword{}

 \description{all elements matching the strings in \code{spotsToBeRemoved}
              are taken out of the object \code{arrayDataObject} and if
              supplied out of the object \code{exprSetArrayObject} as well}

 \value{list containing
        an object of type \code{arrayData} labelled arrayDataObject
        and an integer specifying the number of removed items
        labelled nrOfRemovedItems
        and possily an object of type \code{exprSetArray}
        labelled \code{exprSetArrayObject} }


 \arguments{
  \item{arrayDataObject}{object of type \code{arrayData}; required; default missing}
  \item{exprSetArrayObject}{object of type \code{exprSetArray}; optional; default NULL}
  \item{spotIdentifier}{character strings name of the appropriate column; default "Name"}
  \item{spotsToBeRemoved}{vector of character strings; default \code{NULL}}
 }
 
 \details{}

 \seealso{\code{}}

 \examples{
  intensities <- array(data=runif(600),dim=c(100,2,3))
  dimnames(intensities) <- list(NULL, c("Cy3","Cy5"), NULL)
  arrayDataObject <- new("arrayData", intensities=intensities, spotattr=data.frame(Name=I(rep(c("x","y","Blank","Blank","z"),20))), hybattr=NULL)
  res <- removeSpots(arrayDataObject, spotsToBeRemoved=c("x","z"))
  stopifnot( dim(getIntensities(res[["arrayDataObject"]]))[1] == 3*20 )
  indCy3=1:3
  indCy5=4:6
  channels <- matrix( c(indCy3,indCy5), nrow=length(indCy3), byrow=FALSE )
  colnames(channels) <- c("Cy3","Cy5")
  exprSetArrayObject <- new("exprSetArray", exprs=matrix(data=runif(600),nrow=100,ncol=6), phenoData=new("phenoData", pData=data.frame(matrix(0,nrow=6,ncol=1)), varLabels=list(rep("varLabel1",1))), channels=channels)
  res2 <- removeSpots(arrayDataObject=arrayDataObject,exprSetArrayObject=exprSetArrayObject, spotsToBeRemoved=c("x","z"))
  stopifnot( dim(exprs(res2[["exprSetArrayObject"]]))[1] == 3*20 )
  res3 <- removeSpots(arrayDataObject=arrayDataObject,exprSetArrayObject=exprSetArrayObject, spotsToBeRemoved=c("ggrrrr"))
  stopifnot( dim(exprs(res3[["exprSetArrayObject"]]))[1] == 100 )
  stopifnot( dim(getIntensities(res3[["arrayDataObject"]]))[1] == 100 )
	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
\name{rowFtests}
\alias{rowFtests}
\alias{rowttests}
\title{F-test and t-test for rows of a matrix}
\description{F-test and t-test for rows of a matrix}

\usage{
rowFtests(x, fac)
rowttests(x, fac)} 

\arguments{
  \item{x}{Matrix}
  \item{fac}{Factor, with \code{length(fac)=ncol(x)}. For
    \code{rowttests}, \code{fac} must have exactly two levels.}
}

\value{  
A list with the test statistics, p-values, degrees of freedom.
}
\author{Wolfgang Huber <w.huber@dkfz.de>}
\seealso{\code{\link[multtest:mt.teststat]{mt.teststat}}}
\examples{
   x  = matrix(runif(1e5), ncol=100)
   k2 = floor(runif(ncol(x))*2)
   k7 = floor(runif(ncol(x))*7)

   tt = rowttests(x, factor(k2))
   ft = rowFtests(x, factor(k7))

   if(require(multtest)) {
     fs = mt.teststat(x, k7, test="f")
     stopifnot(all(abs(fs - ft$statistic) < 1e-6))

     ts = mt.teststat(x, k2, test="t.equalvar")
     stopifnot(all(abs(ts - tt$statistic) < 1e-6))
   }
}
\keyword{math}

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:29.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/setZeroWeights.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{setZeroWeights}

 \title{setZeroWeights}

 \alias{setZeroWeights}

 \keyword{}

 \description{}

 \value{object of class \code{arrayData}}


 \arguments{
  \item{arrayDataObject}{object of class \code{arrayData}}
  \item{spotsWithZeroWeights}{vector of character strings}
  \item{spotIdentifier}{character string}
 }
 
 \details{}

 \seealso{\code{\link{}}}

 \examples{
	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:29.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/simpleApply.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{simpleApply}

 \title{simpleApply}

 \alias{simpleApply}

 \keyword{}

 \description{
   Attention: Be careful with \code{funcResultDimensionality} !
   \code{func} is applied to all subsets
   of \code{arrayObject} defined by looping over
   all indexes given in the dimension \code{dimension}.
   \code{func} must be unary.  }

 \value{an array of dim=c(dim(arrayObject)[dimension], funcResultDimensionality); possibly use \code{\link{aperm}} to rearrange the dimensions}


 \arguments{
  \item{arrayObject}{array object}
  \item{dimension}{numeric}
  \item{func}{unary function}
  \item{funcResultDimensionality}{numeric (vector) specifying the dimensionality of the result of \code{func}}
 }
 
 \details{}

 \seealso{\code{\link{}}}

 \examples{

r <- simpleApply(matrix(c(1, 2)), 1, sum, 1)
stopifnot( r == matrix(c(1,2)))

a <- array(c(1:30),dim=c(3,2,5))
r <- simpleApply(a, 1, function(x){return(x[1])}, 1)
stopifnot( all(r == matrix(data=c(1:3))))

r <- simpleApply(a, 1, function(x){return(x[2,5])}, 1)
stopifnot( all(r == matrix(data=c(28:30))))

r <- simpleApply(a, 1, function(x){return(x[1,3])}, 1)
stopifnot( all(r == matrix(data=c(13:15))))

r <- simpleApply(a, 1, function(x){return(x[,])}, c(2,5))
stopifnot( all( a == r))

r <- simpleApply(a, 2, function(x){return(x[,])}, c(3,5))
stopifnot( all( a == aperm(r,c(2,1,3)) ) )

r <- simpleApply(a, 3, function(x){return(x[,])}, c(3,2))
stopifnot( all( a == aperm(r,c(2,3,1)) ) )

r2 <- simpleApply(a, 1, function(x){ return(as.vector(x))}, 10)

vec <- 1:10
dim(vec) <- c(10,1)
mat <- matrix(data=rep(1:10,4),nrow=10,ncol=4,byrow=FALSE)
r <- simpleApply(mat,1,function(y){return(mean(y))},1)
stopifnot(all(r==vec))

	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/slideMerge.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{slideMerge}

 \title{slideMerge}

 \alias{slideMerge}

 \keyword{}

 \description{}

 \value{modified \code{exprSetArrayObject}}


 \arguments{
  \item{exprSetArrayObject}{object of class exprSetArray}
  \item{slideMergeVariable}{ character string specifying the variable of the \code{phenoData} used to determine replicas}
  \item{sampleAnnotationColumns}{ vector of character strings;
      containing all phenoData variables relevant for further analysis.
      The annotation should be consistent for replicas.
      By default all phenoData variables are taken, i.e.
      sampleAnnotationColumns is missing.}

 }
 
 \details{}

 \seealso{\code{\link{spotMerge}}}

 \examples{

  indCy3=1:4
  indCy5=5:8
  channels <- matrix( c(indCy3,indCy5), nrow=length(indCy3), byrow=FALSE )
  colnames(channels) <- c("Cy3","Cy5")
  myMatrix <- matrix(c(1:8,rep(1:4,2),c(1,1,1,4,2,2,2,2),c(2,2,2,2,4,1,1,1) ,rep(c(1,1,2,2),2)),nrow=8,ncol=5,byrow=FALSE)
  colnames(myMatrix) <- c("one","two","three","four","merge")
  exprsMatrix <-  matrix(rep(1:10,4), ncol=8, nrow=5, byrow=FALSE) 
  eSA <- new("exprSetArray", exprs=exprsMatrix, phenoData=
                new("phenoData", pData=data.frame(myMatrix),
                varLabels=as.list(colnames(myMatrix))),
              channels=channels)
  eSM <- slideMerge(exprSetArrayObject=eSA, slideMergeVariable="merge")
  stopifnot( all(  dim(exprs(eSM)) == c(5,4) ) )
  stopifnot( all(as.matrix(pData((phenoDataSlide(eSM)[,which(varLabels(phenoDataSlide(eSM)) == "slidesInGroup")]))) == matrix(c("1;2","3;4"),ncol=1,nrow=2)) )
	  exprs(eSM)
  stopifnot( all(exprs(getExprSetCy3(eSM)) == cbind(rowMeans(exprs(getExprSetCy3(eSA))[,1:2]), rowMeans(exprs(getExprSetCy3(eSA))[,3:4]))))
  stopifnot( all(exprs(getExprSetCy5(eSM)) == cbind(rowMeans(exprs(getExprSetCy5(eSA))[,1:2]), rowMeans(exprs(getExprSetCy5(eSA))[,3:4]))))
  stopifnot(se.exprs(getExprSetCy3(eSM)) == cbind(as.matrix(apply((exprs(getExprSetCy3(eSA))[,1:2]),1,sd)), as.matrix(apply((exprs(getExprSetCy3(eSA))[,3:4]),1,sd))))
  stopifnot(se.exprs(getExprSetCy5(eSM)) == cbind(as.matrix(apply((exprs(getExprSetCy5(eSA))[,1:2]),1,sd)), as.matrix(apply((exprs(getExprSetCy5(eSA))[,3:4]),1,sd))))
  # one and two are inconsistent in both channels
  stopifnot( all(unlist(varLabels(phenoDataSlide(eSM))) == c("one","two","merge","slidesInGroup")) )


	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:30.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/spatialLayout.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{spatialLayout}

 \title{spatialLayout}

 \alias{spatialLayout}

 \keyword{}

 \description{All values are mapped on a matrix representing the
              the spatial layout defined by \code{row}, \code{column}
              and \code{block}.}

 \value{A matrix representing the spatial layout of all values.}


 \arguments{
  \item{value}{numeric vector}
  \item{row}{integer vector}
  \item{col}{integer vector}
  \item{block}{integer vector}
  \item{nrOfBlocksPerRow}{integer; default 4}
  \item{mapping}{integer; either zero or one; default zero
                 which corresponds to "ScanAlyze"; cf. source code}
 }
 
 \details{}

 \seealso{\code{\link{}}}

 \examples{
	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
\name{sqr}
\alias{sqr}

\title{Square}
\description{Square}

\usage{sqr(x)}
\arguments{
  \item{x}{Matrix}
}

\value{x*x}
\details{The function may be useful when \code{x} is a complicated
  expression. It is somewhat faster than \code{x^2}.}

\examples{
sqr(7)
}

\keyword{math}

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:29.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/visualiseQualityParameters.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{visualiseQualityParameters}

 \title{visualiseQualityParameters}

 \alias{visualiseQualityParameters}

 \keyword{}

 \description{}

 \value{}


 \arguments{
  \item{qualityParametersList}{ see \code{\link{qualityParameters}}}
  \item{savegraphicspath}{}
  \item{plotOutput}{character string specifying output plotOutput; either
       "screen" or "pdf"; default: "screen"}
 }
 
 \details{}

 \seealso{\code{}}

 \examples{
	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:29.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/writeToFile.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{writeToFile}

 \title{writeToFile}

 \alias{writeToFile}

 \keyword{}

 \description{ Generation of a tab-deliminated output file }

 \value{}


 \arguments{
  \item{exprSetArrayObject}{exprSetArrayObject}
  \item{arrayDataObject}{arrayDataObject}
  \item{rowSelection}{vector of indexes; default: missing}
  \item{slideNumberColumn}{character string; by default "slideNumber", must refer to a valid column in getHybAttr(arrayDataObject)}
     }
  \item{channels}{vector of character strings; by default: c("both");
       possible values are:
       "both", "Cy3", "Cy5", "rawCy3", "rawCy5", "rawCy3Relative", "rawCy5Relative" }
  \item{fileName}{character string; default "normalisedData.txt"}
  \item{savePath}{character string; default ""}
  \item{fullOutput}{logical;adds phenoData information, by default \code{TRUE}}
  \item{coding}{logical;adds integer coded phenoData information if \code{fullOutput} is \code{TRUE}}
 }
 
 \details{}

 \seealso{\code{}}

 \examples{
	}

 \keyword{}

 \author{Andreas Buness <a.buness@dkfz.de>}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file was automatically generated by Rdoc on 2003-09-26 13:36:29.
% Do NOT modify this file, instead modify the source (/net/herkules/raid6/home/buness/R/Rpacks/arrayMagicCore/arrayMagic/R/zzz.R).
% Rdoc is copyright (C) 2001, Henrik Bengtsson, henrikb@braju.com.
% Download the Rdoc compiler at http://www.braju.com/R/
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


 \name{zzz}

 \title{dummy to call .First.lib}

 \alias{zzz}

 \keyword{}

 \description{}

 \value{}


 \arguments{
  \item{libname}{libname}
  \item{pkgname}{pkgname}
  \item{where}{where}
 }
 
 \details{}

 \seealso{\code{}}

 \author{Andreas Buness <a.buness@dkfz.de>}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% End of File
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\eof
